version: '2'
services:
    zookeeper:
        image: wurstmeister/zookeeper:latest
        ports:
            - "2181:2181"
    kafka:
        image: wurstmeister/kafka:latest
        ports:
            - "9092:9092"
        environment:
            KAFKA_ADVERTISED_HOST_NAME: yourip
            KAFKA_ZOOKEEPER_CONNECT: zookeeper:2181
        volumes:
            - /var/run/docker.sock:/var/run/docker.sock